#pragma once

#include "kpi.h"

struct kbungca_Settings
{
    UINT64 qwSizeLimit;
    UINT64 qwSizeLimitTotal;
    int    nExtractMode;
};

BOOL  __fastcall kbungca_EnumConfig(IKpiConfig* pConfig, IKpiConfigEnumerator* pEnumerator);
DWORD __fastcall kbungca_ApplyConfig(IKpiConfig* pConfig,
    const wchar_t* cszSection, //セクション名
    const wchar_t* cszKey, //キー名
    INT64  nValue, //変更後の値(BOOL/INT の場合)
    double dValue, //変更後の値(FLOAT の場合)
    const wchar_t* cszValue);//変更後の値(文字列)
void __fastcall kbungca_GetSettings(IKpiConfig* pConfig, kbungca_Settings* pSettings);
